# WOK
TKWOK
WOKUtils

# WOKUtils_SearchList Class Reference

`#include <WOKUtils_SearchList.hxx>`

## Public Member Functions

Standard_EXPORT | WOKUtils_SearchList ()
Standard_EXPORT | WOKUtils_SearchList (const Handle(WOKUtils_SearchList)&another)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | List () const
Standard_EXPORT void | AddPriorPath (const Handle(WOKUtils_Path)&apath)
Standard_EXPORT void | AddNonPriorPath (const Handle(WOKUtils_Path)&apath)
Standard_EXPORT Handle_WOKUtils_Path | SearchFile (const Handle(TCollection_HAsciiString)&afile)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_WOKUtils_HSequenceOfPath | mylist

## Constructor & Destructor Documentation

Standard_EXPORT WOKUtils_SearchList::WOKUtils_SearchList | ( |  | ) |

Standard_EXPORT WOKUtils_SearchList::WOKUtils_SearchList | ( | const Handle(WOKUtils_SearchList)& | another | ) |

## Member Function Documentation

Standard_EXPORT void WOKUtils_SearchList::AddNonPriorPath | ( | const Handle(WOKUtils_Path)& | apath | ) |

Standard_EXPORT void WOKUtils_SearchList::AddPriorPath | ( | const Handle(WOKUtils_Path)& | apath | ) |

Standard_EXPORT const WOKUtils_SearchList::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKUtils_SearchList::List | ( |  | ) | const

Standard_EXPORT Handle_WOKUtils_Path WOKUtils_SearchList::SearchFile | ( | const Handle(TCollection_HAsciiString)& | afile | ) |

## Field Documentation

Handle_WOKUtils_HSequenceOfPath WOKUtils_SearchList::mylist `[private]`

The documentation for this class was generated from the following file:

- WOKUtils_SearchList.hxx